﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfC1Knob
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            c1Knob1.MouseLeftButtonUp += new MouseButtonEventHandler(c1Knob1_MouseLeftButtonUp);
        }
        double KnobValue;
        double knobOldValue;
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            c1Knob1.Minimum = 0;
            c1Knob1.Maximum = 100;
            c1Knob1.InteractionMode = C1.WPF.Gauge.KnobInteractionMode.Drag;
        }
        void c1Knob1_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            knobOldValue = c1Knob1.Value = KnobValue;
        }
        private void c1Knob1_ValueChanged(object sender, C1.WPF.PropertyChangedEventArgs<double> e)
        {
            if (e.NewValue < e.OldValue)
            {
                KnobValue = e.NewValue = knobOldValue - 10; // Decrementing frequency or interval change by 10
            }
            else
            {
                e.OldValue = knobOldValue;
                KnobValue = e.NewValue = e.OldValue + 10; // Incrementing frequency or interval change by 10
            }
        }
    }
}
